javax.servlet.jsp.el

## Class ELException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.servlet.jsp.el.ELException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ELParseException

  Deprecated.
  As of JSP 2.1, replaced by javax.el.ELException

      public class ELException
      extends java.lang.Exception

  Represents any of the exception conditions that arise during the operation evaluation of the evaluator.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELException()` Deprecated. Creates an ELException with no detail message.
    `ELException(java.lang.String pMessage)` Deprecated. Creates an ELException with the provided detail message.
    `ELException(java.lang.String pMessage, java.lang.Throwable pRootCause)` Deprecated. Creates an ELException with the given detail message and root cause.
    `ELException(java.lang.Throwable pRootCause)` Deprecated. Creates an ELException with the given root cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getRootCause()` Deprecated. Returns the root cause.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ELException

          public ELException()

      Deprecated.
      Creates an ELException with no detail message.

    - #### ELException

          public ELException(java.lang.String pMessage)

      Deprecated.
      Creates an ELException with the provided detail message.
      Parameters:
        `pMessage` - the detail message

    - #### ELException

          public ELException(java.lang.Throwable pRootCause)

      Deprecated.
      Creates an ELException with the given root cause.
      Parameters:
        `pRootCause` - the originating cause of this exception

    - #### ELException

          public ELException(java.lang.String pMessage,
                     java.lang.Throwable pRootCause)

      Deprecated.
      Creates an ELException with the given detail message and root cause.
      Parameters:
        `pMessage` - the detail message
        `pRootCause` - the originating cause of this exception

  - ### Method Detail

    - #### getRootCause

          public java.lang.Throwable getRootCause()

      Deprecated.
      Returns the root cause.
      Returns:
        the root cause of this exception

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.